LFR-FSW - Bug #532

champs PA_BIA_ON_OFF AND al de toutes les TM_LFR_SCIENCE_SBM1_* ne sont pas mis a jour /
TC_LFR_UPDATE_INFO

04/10/2015 05:10 PM - Veronique bouzid

Status: Closed Start date: 04/10/2015
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: SRS Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

Bug signalé depuis dans JIRA :
https://jira-lesia.obspm.fr/orowse/RPWMEB-508

Si on change la valeur du parametre CP_PDU_BIAS_ON_OFF ( 0 vers 1) dans TC_LFR_UPDATE_INFO, on s'attend a voir ce
parametre mis a jour dans les TM_LFR_SCIENCE

produites apres la prise en compte de la TC_LFR_UPDATE_INFO. Le champ se nomme PA_BIA_ON_OFF dans
TM_LFR_SCIENCE_SBM1_BP*.

hors ce n'est pas le cas.

Voici liste des champs de TC_LFR_UPDATE_INFO qui ne sont recopiés dans les TM_LFR_SCIENCE_SBM1_BP* FQ et
TM_LFR_SCIENCE_SBM1_CWF_F1

- CP_PDU_BIAS ON_OFF

- PA_BIA_ MODE_MUX_SET

- PA_BIA_ MODE_HV_ENABLED

- PA_BIA_MODE_BIAS1_ENABLED

- PA_BIA_MODE_BIAS2_ENABLED

- PA_BIA_MODE_BIAS3 _ENABLED

le script joué se nomme /opt/VALIDATION_R3/Ifrverif/LFR_SVS/SVS-0038/update_info_sbm1.py
Les fichiers (2015_10_03-12_04_31*) sont rangés dans le répertoire /home/validation/data/R3/3.0.0.9/1.1.89/SVS-0038/sbm1

Contexte du test

FSW 3.0.0.9

VHDL 1.1.89

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee

Related issues:
Related to Bug #456: champs PA_BIA_ON_OFF AND al de TM_LFR_SCIENCE_NORMAL_BP... Closed 02/07/2015

History

#1 - 04/10/2015 05:16 PM - Veronique bouzid
- Description updated

#2 - 04/10/2015 05:17 PM - Veronique bouzid

- Description updated

#3 - 05/10/2015 08:17 AM - paul leroy
- Status changed from New to Feedback

- Assignee changed from paul leroy to Veronique bouzid

Bug identifié, le champ n'était pas mis a jour pour tous les paquets BP, quel que soit le mode.
Correction effectuée dans 3.0.0.10.
#4 - 05/10/2015 12:01 PM - bruno katra

- Description updated

#5 - 07/10/2015 01:12 PM - Veronique bouzid
- Category set to SRS
- Status changed from Feedback to Closed

Le bug est corrigé en 3.0.0.10.

Tous les champs de TC_LFR_UPDATE_INFO sont recopiés dans les TM_LFR_SCIENCE_SBM1*
- CP_PDU_BIAS_ON_OFF

- PA_BIA_MODE_MUX_SET

- PA_BIA_MODE_HV_ENABLED

- PA_BIA_MODE_BIAS1_ENABLED

- PA_BIA_MODE_BIAS2_ENABLED

- PA_BIA_MODE_BIAS3_ENABLED

Le script utilisé est /opt/VALIDATION_RS3/Ifrverif/LFR_SVS/SVS-0038/update_info_sbm1.py.
Les fichiers (2015_10_06-12_37_08*) sont rangés dans le répertoire /nome/validation/data/R3/3.0.0.10/1.1.89/SVS-0038/sbm1.

On peut observer parfois sur les produits TM_LFR_SCIENCE_SBM1_CWF_F1, un décalage dans la mise a jour des champs mais en comparant le
champ PA_LFR_ACQUISITION_TIME et celle d'une TM_LFR_HK proche de TC_LFR_UPDATE_INFO, on voit que le champ est bon.

12:00:27.33104, TM_LFR_H*K, *TIME=0x8000019d31ba, HK_LFR_MODE: SBM1 = 3, HK_LFR_UPDATE_INFO_TC_CNT=2
12:00:27.393096, TC_LFR_UPDATE_INFO, CP_PDU_SCM_ON_OFF: OFF = 0, CP_PDU_ANT3_ON_OFF: OFF = 0, CP_PDU_ANT2_ON_OFF:
OFF = 0, CP_PDU_ANT1_ON_OFF: OFF = 0, CP_PDU_THR_ON_OFF: OFF = 0, CP_PDU_TDS_ON_OFF: OFF = 0, CP_PDU_LFR_ON_OFF:
OFF = 0, CP_PDU_BIAS_ON_OFF: OFF = 0, CP_BIA_MODE_MUX_SET: SET_1 =1, CP_BIA_MODE_HV_ENABLED: DISABLED = 0,
CP_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, CP_BIA_MODE_BIAS2_ENABLED: DISABLED = 0, CP_BIA_MODE_BIAS3_ENABLED:
DISABLED = 0, CP_LFR_MODE_COPY: STANDBY = 0, CP_LFR_CALIB_ENABLED: DISABLED = 0, CP_TDS_MODE_COPY: STANDBY = 0,
CP_THR_MODE_COPY: STANDBY = 0

12:00:27.405155, TM_LFR_SCIENCE_SBM1_CWF_F1, PA_BIA_MODE_MUX_SET: SET_0 = 0, PA_BIA_MODE_HV_ENABLED: DISABLED = 0,
PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS3_ENABLED:
DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, PA_LFR_ACQUISITION_TIME=0x8000019c90c6

12:00:27.444996, TM_LFR_SCIENCE_SBM1_CWF_F1, PA_BIA_MODE_MUX_SET: SET_0 = 0, PA_BIA_MODE_HV_ENABLED: DISABLED = 0,
PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS3_ENABLED:
DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, PA_LFR_ACQUISITION_TIME=0x8000019ca5c6

12:00:27.451241, TM_LFR_SCIENCE_SBM1_CWF_F1, PA_BIA_MODE_MUX_SET: SET_0 = 0, PA_BIA_MODE_HV_ENABLED: DISABLED = 0,
PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS3_ENABLED:
DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, PA_LFR_ACQUISITION_TIME=0x8000019cbac6

12:00:27.456509, TM_LFR_SCIENCE_SBM1_CWF_F1, PA_BIA_MODE_MUX_SET: SET_0 = 0, PA_BIA_MODE_HV_ENABLED: DISABLED = 0,
PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS3_ENABLED:
DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, PA_LFR_ACQUISITION_TIME=0x8000019ccfc6

12:00:27.461686, TM_LFR_SCIENCE_SBM1_CWF_F1, PA_BIA_MODE_MUX_SET: SET_0 = 0, PA_BIA_MODE_HV_ENABLED: DISABLED = 0,
PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS3_ENABLED:
DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, PA_LFR_ACQUISITION_TIME=0x8000019ce4c6

12:00:27.466924, TM_LFR_SCIENCE_SBM1_CWF_F1, PA_BIA_MODE_MUX_SET: SET_0 = 0, PA_BIA_MODE_HV_ENABLED: DISABLED = 0,
PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS3_ENABLED:
DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, PA_LFR_ACQUISITION_TIME=0x8000019cf9c6

12:00:27.479879, TM_LFR_SCIENCE_SBM1_CWF_F1, PA_BIA_MODE_MUX_SET: SET_0 = 0, PA_BIA_MODE_HV_ENABLED: DISABLED = 0,
PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS3_ENABLED:
DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, PA_LFR_ACQUISITION_TIME=0x8000019d0ec6

12:00:27.485469, TM_LFR_SCIENCE_SBM1_CWF_F1, PA_BIA_MODE_MUX_SET: SET_0 = 0, PA_BIA_MODE_HV_ENABLED: DISABLED = 0,
PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS3_ENABLED:
DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, PA_LFR_ACQUISITION_TIME=0x8000019d23c6

12:00:27.492118, TM_LFR_SCIENCE_SBM1_BP1_F0, PA_BIA_MODE_MUX_SET: SET_1 =1, PA_BIA_MODE_HV_ENABLED: DISABLED = 0,
PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS3_ENABLED:
DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, PA_LFR_ACQUISITION_TIME=0x8000019d38c5

12:00:27.493129, TM_LFR_SCIENCE_SBM1_BP2_F0, PA_BIA_MODE_MUX_SET: SET_1 =1, PA_BIA_MODE_HV_ENABLED: DISABLED = 0,
PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS3_ENABLED:
DISABLED = 0, PA_BIA_ON_OFF: OFF = 0

Paul renseigne le contexte de la TM_LFR_SCIENCE au moment ou il fabrique le paquet.
